SDL_GetWindowOpacity(3)

NAME
SDL_GetWindowOpacity - Get the opacity of a window.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetWindowOpacity(SDL_Window *window, float *out_opacity);

DESCRIPTION
If transparency isn't supported on this platform, opacity will be reported as 1.0f without error. The parameter opacity is ignored if it is NULL. This function also returns -1 if an invalid window was provided.

FUNCTION PARAMETERS

window
    the window to get the current opacity value from

out_opacity
    the float filled in (0.0f - transparent, 1.0f - opaque)

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetWindowOpacity(3)